Debian Bug report logs - #467893
libmail-milter-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone

version graph

Package: libmail-milter-perl; Maintainer for libmail-milter-perl is Hilko Bengen <bengen@debian.org>; Source for libmail-milter-perl is src:libmail-milter-perl.

Reported by: Niko Tyni <ntyni@debian.org>

Date: Tue, 26 Feb 2008 19:24:23 UTC

Severity: important

Tags: patch

Found in version libmail-milter-perl/0.06-1

Fixed in version libmail-milter-perl/0.06-1.1

Done: Mark Hymers <mhy@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Hilko Bengen <bengen@debian.org>:
Bug#467893; Package libmail-milter-perl. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to Hilko Bengen <bengen@debian.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: maintonly@bugs.debian.org
Subject: libmail-milter-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone
Date: Tue, 26 Feb 2008 21:10:20 +0200
Package: libmail-milter-perl
Version: 0.06-1
Severity: important
User: debian-perl@lists.debian.org
Usertags: perl-5.10-ftbfs-rmdir

This package fails to build with Perl 5.10.0 (currently in
experimental) because of a bug in debian/rules that has been
uncovered by a change in ExtUtils::Install.

Until Perl 5.10.0, ExtUtils::Install had a bug that created an empty
/usr/lib/perl5 or /usr/share/perl5 directory when 'make install' was
run. This package fails to build because it relies on the presence of
this empty directory, usually by trying to remove it without checking
if it exists first.

The suggested fix for the usual 'unconditional rmdir' case is to use
a conditional like

[ ! -d $(TMP)/usr/lib/perl5 ] || rmdir --ignore-fail-on-non-empty
--parents --verbose $(TMP)/usr/lib/perl5

See the current dh-make-perl templates.

Please treat this bug as 'serious' already: Perl 5.10.0 is scheduled
for unstable in a week or so.

Details about the ExtUtils::Install change can be found in #465783. 
-- 
Niko Tyni   ntyni@debian.org





Information forwarded to debian-bugs-dist@lists.debian.org, Hilko Bengen <bengen@debian.org>:
Bug#467893; Package libmail-milter-perl. Full text and rfc822 format available.

Acknowledgement sent to Mark Hymers <mhy@debian.org>:
Extra info received and forwarded to list. Copy sent to Hilko Bengen <bengen@debian.org>. Full text and rfc822 format available.

Message #10 received at 467893@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 467893@bugs.debian.org
Subject: libmail-milter-perl: diff for NMU version 0.06-1.1
Date: Sat, 5 Apr 2008 23:12:03 +0100
[Message part 1 (text/plain, inline)]
tags 467893 + patch
thanks

Hi,

Attached is the diff for my libmail-milter-perl 0.06-1.1 NMU.

-- 
Mark Hymers <mhy at debian dot org>
[libmail-milter-perl-0.06-1.1-nmu.diff (text/x-diff, attachment)]

Tags added: patch Request was from Mark Hymers <mhy@debian.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 22:15:07 GMT) Full text and rfc822 format available.

Reply sent to Mark Hymers <mhy@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 467893-close@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 467893-close@bugs.debian.org
Subject: Bug#467893: fixed in libmail-milter-perl 0.06-1.1
Date: Sat, 05 Apr 2008 22:17:33 +0000
Source: libmail-milter-perl
Source-Version: 0.06-1.1

We believe that the bug you reported is fixed in the latest version of
libmail-milter-perl, which is due to be installed in the Debian FTP archive:

libmail-milter-perl_0.06-1.1.diff.gz
  to pool/main/libm/libmail-milter-perl/libmail-milter-perl_0.06-1.1.diff.gz
libmail-milter-perl_0.06-1.1.dsc
  to pool/main/libm/libmail-milter-perl/libmail-milter-perl_0.06-1.1.dsc
libmail-milter-perl_0.06-1.1_all.deb
  to pool/main/libm/libmail-milter-perl/libmail-milter-perl_0.06-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 467893@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Hymers <mhy@debian.org> (supplier of updated libmail-milter-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Apr 2008 21:09:10 +0100
Source: libmail-milter-perl
Binary: libmail-milter-perl
Architecture: source all
Version: 0.06-1.1
Distribution: unstable
Urgency: low
Maintainer: Hilko Bengen <bengen@debian.org>
Changed-By: Mark Hymers <mhy@debian.org>
Description: 
 libmail-milter-perl - Perl extension modules for mail filtering via milter
Closes: 467893
Changes: 
 libmail-milter-perl (0.06-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix FTBFS with Perl 5.10.  Closes: #467893
Files: 
 8de8e393287cb9010d60e82e042617a5 649 perl optional libmail-milter-perl_0.06-1.1.dsc
 cc960a13cffdf68679fd6195f8bf83e2 1884 perl optional libmail-milter-perl_0.06-1.1.diff.gz
 610266d22a59db41afb90e945eab82a8 69168 perl optional libmail-milter-perl_0.06-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH9/QfNIW6CNDsByMRAuofAJsEi/kmQPBwGUCGQEJhvt2Lo82JuwCfb3fw
oKiCGFiHR1pnCilH9qYpBmA=
=mSDE
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 May 2008 07:55:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 13:02:47 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.